#include "core/session.h"
#include "gui/window.h"
#include "track/types.h"
#include <QApplication>
#include <QStyleFactory>
#include <QTranslator>
#include <QLocale>

Session session;

int main(int argc, char** argv) {
	QApplication app(argc, argv);

	session.config.Load();
	Track::Types::LoadPlayers(session.recognition.players);
	Track::Types::LoadExtensions(session.recognition.extensions);

	MainWindow window;

	window.resize(941, 750);
	window.setWindowTitle("Minori");
	window.show();

	return app.exec();
}
